summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-11 22:22:41 +0200
committer Robby Workman2010-05-11 22:22:41 +0200
commit3c6bc3d785bf6f9c34ecd1c4081feae6501fd939 (patch)
treeb136d3c98061eb33de68ddd392cbf8206dd599dd /development
parent0037e54907012a9b10ff25ec261522e020a6b1a3 (diff)
downloadslackbuilds-3c6bc3d785bf6f9c34ecd1c4081feae6501fd939.tar.gz
development/openmpi: Updated for version 1.2.8
Diffstat (limited to 'development')
-rw-r--r--development/openmpi/doinst.sh3
-rw-r--r--development/openmpi/openmpi.SlackBuild32
-rw-r--r--development/openmpi/openmpi.info10
3 files changed, 26 insertions, 19 deletions
diff --git a/development/openmpi/doinst.sh b/development/openmpi/doinst.sh
index 7f75f638c4..437882b5ef 100644
--- a/development/openmpi/doinst.sh
+++ b/development/openmpi/doinst.sh
@@ -1,5 +1,3 @@
-#!/bin/sh
-
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -16,3 +14,4 @@ config() {
config etc/openmpi-totalview.tcl.new
config etc/openmpi-mca-params.conf.new
config etc/openmpi-default-hostfile.new
+
diff --git a/development/openmpi/openmpi.SlackBuild b/development/openmpi/openmpi.SlackBuild
index afcaec508b..3829557da6 100644
--- a/development/openmpi/openmpi.SlackBuild
+++ b/development/openmpi/openmpi.SlackBuild
@@ -2,15 +2,14 @@
# Slackware build script for Open MPI
-# Written by Aleksandar B. Samardzic (<asamardzic@matf.bg.ac.yu>)
-
-set -e
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=openmpi
-VERSION=1.2.3
+VERSION=${VERSION:-1.2.8}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -20,31 +19,40 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
-#chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --mandir=/usr/man \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
diff --git a/development/openmpi/openmpi.info b/development/openmpi/openmpi.info
index cc531b0f6d..aa22b10374 100644
--- a/development/openmpi/openmpi.info
+++ b/development/openmpi/openmpi.info
@@ -1,8 +1,8 @@
PRGNAM="openmpi"
-VERSION="1.2.3"
+VERSION="1.2.8"
HOMEPAGE="http://www.open-mpi.org/"
-DOWNLOAD="http://www.open-mpi.org/software/ompi/v1.2/downloads/openmpi-1.2.3.tar.bz2"
-MD5SUM="ae980bb00f9686934a1143701cc041e4"
-MAINTAINER="Aleksandar B. Samardzic"
-EMAIL="asamardzic@matf.bg.ac.yu"
+DOWNLOAD="http://www.open-mpi.org/software/ompi/v1.2/downloads/openmpi-1.2.8.tar.bz2"
+MD5SUM="7f2d5af02101c5f01173f4f6de296549"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
APPROVED="rworkman"